@ECHO OFF

CLS

ECHO UniCode DLLOCX Setup ...
ECHO.

PushD C:\

FOR /F %%i IN ('DIR /s /b HexUniControls42.OCX') DO (
	ECHO UniCode Components Have Already Install!
	GOTO :END
)

SET mISXP=0

REM OS: Windows Server 2000
VER | FINDSTR /i "5\.0\." > NUL
IF %ERRORLEVEL% EQU 0 SET mISXP=1

REM OS: Windows Server XP
VER | FINDSTR /i "5\.1\." > NUL
IF %ERRORLEVEL% EQU 0 SET mISXP=1

IF %mISXP%==0 (
	ECHO OS is WIN7 or Later.
	CALL %~dp0UserSetupWIN7.Bat
) ELSE (
	ECHO OS is XP.
	CALL %~dp0UserSetupXP.Bat
)

ECHO UniCode DLLOCX Setup Complete.
ECHO.

:END
REM PAUSE
